define({"77":{y:0,u:"../Content/Advanced/Clustering/Introduction.htm",l:-1,t:"Introduction",i:0.000863694891857845,a:"Building a cluster of Apache NiFi instances provides several advantages over a single instance: Increased throughput. Depending on the amount of data that you want to ingest, you might find that a single NiFi instance, installed on a single server, does not provide sufficient throughput. You can ..."},"78":{y:0,u:"../Content/Advanced/Clustering/SetupStaticNodes.htm",l:-1,t:"Set up a NiFi Cluster",i:0.00256140514693811,a:"To create an Apache NiFi cluster, set up either three or five ZooKeeper nodes. To set up ZooKeeper nodes for a NiFi cluster Install Apache NiFi on the first node. Open the file ./conf/nifi.properties and set or review the following properties: Open the file ./conf/state-management.xml and set the ..."},"79":{y:0,u:"../Content/Advanced/Clustering/SetupAdditionalNodes.htm",l:-1,t:"Set up Additional Nodes",i:0.00178137412430948,a:"Your Apache NiFi cluster should include either three or five ZooKeeper nodes (see  Set up a NiFi Cluster ). This procedure describes how to add additional nodes that do not run ZooKeeper. You can add additional nodes without restarting the existing NiFi instances. To add an additional node to your ..."},"80":{y:0,u:"../Content/Connectors/ConfigureExternalDatabase.htm",l:-1,t:"Create a Database Service",i:0.00736707010349418,a:"If you want to run an Apache NiFi cluster, you must set up a Database Service so that the following information can be shared between nodes in the cluster: State information for your NiFi Ingest connectors. Dependency information managed by a document registry service (for more information, see  ..."},"81":{y:0,u:"../Content/Advanced/Clustering/RemoveNodes.htm",l:-1,t:"Remove Nodes",i:0.000863694891857845,a:"This topic explains how to remove any additional nodes you added to your Apache NiFi cluster in  Set up Additional Nodes . You can find more information in the  Apache NiFi documentation . To remove a node Open the Apache NiFi user interface (from a node other than the one you want to remove). Open ..."},"82":{y:0,u:"../Content/Advanced/Migration/Section_DataMigration.htm",l:-1,t:"Migrate Data Between Repositories",i:0.00110840935384495,a:"Migrate Data Between Repositories You can use IDOL NiFi Ingest and IDOL Connectors to migrate data from one repository to another. For example, you can use a OneDrive connector to retrieve files from OneDrive, and then use a File System Connector to write those files to a standard file system."},"83":{y:0,u:"../Content/Advanced/Migration/Introduction.htm",l:-1,t:"Introduction",i:0.000863694891857845,a:"The repositories that your organization uses to store data are likely to have different structures. A file system organizes information in files and folders, and so do repositories like OneDrive, but other systems might not resemble a file system at all. To help migrate data between repositories, ..."},"84":{y:0,u:"../Content/Advanced/Migration/CreateDataFlow.htm",l:-1,t:"Create the Data Flow",i:0.000863694891857845,a:"This section describes how to create a dataflow to migrate information from one repository to another. In the following example, a GetWeb processor downloads web pages and a PutFileSystem processor inserts them  into a folder in the file system. To create a dataflow to migrate data between ..."},"85":{y:0,u:"../Content/Advanced/Migration/SupportedConnectors.htm",l:-1,t:"Supported Connectors",i:0.00159783827781915,a:"The following sections specify whether a connector generates the AUTN_MIGRATION_URI metadata field for documents that it creates. They also list the properties that are required by the relevant Put* processor, to insert items into a repository. For example, to insert files into a file system you ..."},"86":{y:0,u:"../Content/Part_Reference.htm",l:-1,t:"Reference",i:0.000863694891857845,a:"Reference"},"87":{y:0,u:"../Content/Actions/Connector_Actions.htm",l:-1,t:"Connector Actions",i:0.0012307665848385,a:"Connector Actions This section describes the actions that you can send to NiFi Ingest connector groups. For information about how to build a dataflow that handles these actions, see  Handle Connector Actions ."},"88":{y:0,u:"../Content/Actions/Action_Collect.htm",l:-1,t:"Collect",i:0.0108955720370523,a:"The Collect action retrieves documents from a repository. For each document that is collected, a FlowFile is routed to the \"Collect Output\" relationship of the connector group. Type: asynchronous Example http://host:10000/action=Collect\n\t\t\t  \u0026ConnectorGroup=FileSystem\n\t\t          \u0026Documents=... ..."},"89":{y:0,u:"../Content/Actions/Action_Delete.htm",l:-1,t:"Delete",i:0.0106508575750652,a:"The Delete action deletes items from a repository. This action irreversibly deletes items from the data repository. Type: asynchronous Example http://host:10000/action=Delete\n\t\t\t  \u0026ConnectorGroup=FileSystem\n\t\t          \u0026Documents=... Response This is an asynchronous action, so you receive a token in ..."},"90":{y:0,u:"../Content/Actions/Action_GetStatus.htm",l:-1,t:"GetStatus",i:0.000863694891857845,a:"The GetStatus action provides basic status information about the service. Type: synchronous Example http://host:10000/action=GetStatus Response The following XML shows an example response: \u003cautnresponse\u003e\n    \u003caction\u003eGETSTATUS\u003c/action\u003e\n    \u003cresponse\u003eSUCCESS\u003c/response\u003e\n    \u003cresponsedata\u003e\n        ..."},"91":{y:0,u:"../Content/Actions/Action_Hold.htm",l:-1,t:"Hold",i:0.0012307665848385,a:"The Hold action places a hold on one or more documents in the repository. When a document has been placed on hold, it cannot be deleted or modified by a regular user. This action might be used by applications that perform legal hold. Type: asynchronous Example http://host:10000/action=Hold\n\t         ..."},"92":{y:0,u:"../Content/Actions/Action_Identifiers.htm",l:-1,t:"Identifiers",i:0.00110840935384495,a:"The identifiers action retrieves a list of items that are present in the repository. Different types of repository store items in different types of hierarchy. For example, file systems have folders and files, but an e-mail system might have mailboxes and messages.  The connector looks for child ..."},"93":{y:0,u:"../Content/Actions/Action_Insert.htm",l:-1,t:"Insert",i:0.000863694891857845,a:"The Insert action inserts items into a repository. Type: asynchronous Example The following example uses the command-line tool cURL to send an insert action. This example uses a File System Connector Group to insert a file into the file system. The file to insert is file.txt in the current working ..."},"94":{y:0,u:"../Content/Actions/Action_PurgeDatastore.htm",l:-1,t:"PurgeDatastore",i:0.000863694891857845,a:"The PurgeDatastore action deletes information, that the connector has saved, about the items in the repository. The connector saves this information so that when it synchronizes with the repository it does not need to retrieve items that have not changed. Some repositories do not keep a log of items ..."},"95":{y:0,u:"../Content/Actions/Action_QueueInfo.htm",l:-1,t:"QueueInfo",i:0.03452857167326,a:"The QueueInfo action provides information about the asynchronous actions that are running or finished. You can use the QueueInfo action to determine whether an action has finished, and retrieve the results of the action. Type: synchronous Examples To return the numbers of running and completed ..."},"96":{y:0,u:"../Content/Actions/Action_ReleaseHold.htm",l:-1,t:"ReleaseHold",i:0.000863694891857845,a:"The ReleaseHold action releases a document that was placed on hold by the  Hold  action. Type: asynchronous Example http://host:10000/action=ReleaseHold\n\t                  \u0026ConnectorGroup=Documentum\n\t\t          \u0026Documents=... Response This is an asynchronous action, so you receive a token in ..."},"97":{y:0,u:"../Content/Actions/Action_Synchronize.htm",l:-1,t:"Synchronize",i:0.0106508575750652,a:"The Synchronize action instructs the connector to synchronize with the data repository immediately. (Usually you would schedule synchronize cycles to occur on a regular basis, according to a schedule). The connector searches the repository for new, updated, and deleted documents. FlowFiles ..."},"98":{y:0,u:"../Content/Actions/Action_SynchronizeGroups.htm",l:-1,t:"SynchronizeGroups",i:0.000863694891857845,a:"The SynchronizeGroups action instructs the connector to retrieve security group information from the data repository. IDOL requires this information to provide document security, which ensures that documents can be viewed only by authorized users. FlowFiles containing the user and group information ..."},"99":{y:0,u:"../Content/Actions/Action_Update.htm",l:-1,t:"Update",i:0.000863694891857845,a:"The Update action updates the metadata of one or more items in a repository. Type: asynchronous Example The following example demonstrates how to update the metadata of a file in a file system. http://host:10000/action=Update\u0026Documents=... The value of the Documents parameter could be the following ..."},"100":{y:0,u:"../Content/Actions/Action_View.htm",l:-1,t:"View",i:0.000863694891857845,a:"The View action retrieves a single document and returns it in the response of the request. Type: synchronous Example http://host:10000/action=View\n                       \u0026ConnectorGroup=FileSystem\n                       \u0026Document=...\n Response The following XML shows an example response: ..."},"101":{y:0,u:"../Content/Reference/ControllerServices/_ControllerServices.htm",l:-1,t:"NiFi Ingest Controller Services",i:0.000863694891857845,a:"NiFi Ingest Controller Services This section describes the controller services that are supplied with NiFi Ingest."},"102":{y:0,u:"../Content/Reference/ControllerServices/AciContextServiceImpl.htm",l:-1,t:"AciContextServiceImpl",i:0.00159823685725348,a:"AciContextServiceImpl A service that is used by the   HandleAciRequest  and  HandleAciResponse  processors to store information about actions that have been sent to NiFi Ingest. For information about how to handle actions in NiFi Ingest, see  Handle Connector Actions . Properties"},"103":{y:0,u:"../Content/Reference/ControllerServices/ContentServiceImpl.htm",l:-1,t:"ContentServiceImpl",i:0.00199559707948007,a:"Provides a way for NiFi Ingest processors to communicate with an IDOL Content component, for example an Agentstore.  The Agentstore component is a specially configured version of the IDOL Content component that you can use for categorization and entity matching.  This controller service allows you ..."},"104":{y:0,u:"../Content/Reference/ControllerServices/DatabaseServiceImpl.htm",l:-1,t:"DatabaseServiceImpl",i:0.0106757852767372,a:"This controller service provides an interface for one or more NiFi Ingest processors to communicate with an external database. IDOL NiFi Ingest Connectors keep a record of the items they have retrieved so that they do not need to synchronize those items again. Each time it synchronizes with your ..."},"105":{y:0,u:"../Content/Reference/ControllerServices/DocumentRegistryServiceImpl.htm",l:-1,t:"DocumentRegistryServiceImpl",i:0.017235595524887,a:"Manages and updates a document registry database, which provides a way to ensure that indexing operations occur in the correct order. When a connector performs the synchronize fetch action it might find items that have been modified. To update the content in the IDOL index, it sends two documents to ..."},"106":{y:0,u:"../Content/Reference/ControllerServices/IdolLicenseServiceImpl.htm",l:-1,t:"IdolLicenseServiceImpl",i:0.00975330548503679,a:"IdolLicenseServiceImpl Provides a way for NiFi Ingest processors to communicate with an IDOL License Server. Processors that require a license have a property named \"IDOL License Service\", which you must set to an instance of this controller service. Properties"},"107":{y:0,u:"../Content/Reference/ControllerServices/IdolSSLConfigServiceImpl.htm",l:-1,t:"IdolSSLConfigServiceImpl",i:0.0169916605882474,a:"IdolSSLConfigServiceImpl Provides a way to configure SSL/TLS settings for NiFi Ingest processors. Some NiFi Ingest processors have a property named \"SSL Config Service\", which you can set to an instance of this service. Properties"},"108":{y:0,u:"../Content/Reference/ControllerServices/KeyViewExportServiceImpl.htm",l:-1,t:"KeyViewExportServiceImpl",i:0.00335726574280804,a:"KeyViewExportServiceImpl Manages the location of the KeyView Export SDK for the NiFi instance.   All processors that use the KeyView Export SDK have a “KeyView Export Service” property that must reference an instance of this service.  Properties"},"109":{y:0,u:"../Content/Reference/ControllerServices/KeyViewFilterServiceImpl.htm",l:-1,t:"KeyViewFilterServiceImpl",i:0.00233084255846875,a:"Manages the location of the KeyView Filter SDK for the NiFi instance. All processors that use the KeyView Filter SDK have a “KeyView Filter Service” property that must reference an instance of this service.   The service also defines a location where temporary files and extracted files are stored. ..."},"110":{y:0,u:"../Content/Reference/ControllerServices/MediaServiceImpl.htm",l:-1,t:"MediaServiceImpl",i:0.00377273879373848,a:"MediaServiceImpl Manages the static resources and FFmpeg libraries that are required to analyze rich media files. All processors that require media analysis resources have a “Media Service” property that must reference an instance of this service.   Properties"},"111":{y:0,u:"../Content/Reference/ControllerServices/ProxyConfigurationServiceImpl.htm",l:-1,t:"ProxyConfigurationServiceImpl",i:0.00796129663142606,a:"ProxyConfigurationServiceImpl Provides an interface for one or more NiFi Ingest processors to use a proxy server. Properties See Also SystemProxyConfigurationServiceImpl"},"112":{y:0,u:"../Content/Reference/ControllerServices/SystemProxyConfigurationServiceImpl.htm",l:-1,t:"SystemProxyConfigurationServiceImpl",i:0.00763231143583809,a:"Provides an interface for one or more NiFi Ingest processors to use a proxy server. You can use this service as an alternative to a  ProxyConfigurationServiceImpl . This service has no properties. It obtains details about your HTTP proxy from the system. On Windows, it reads the proxy settings ..."},"113":{y:0,u:"../Content/Reference/Processors/_Processors.htm",l:-1,t:"NiFi Ingest Processors",i:0.000863694891857845,a:"NiFi Ingest Processors This section describes the processors that are supplied with NiFi Ingest."},"114":{y:0,u:"../Content/Reference/Processors/BatchCallback.htm",l:-1,t:"BatchCallback",i:0.000863694891857845,a:"Sends callback HTTP requests to your application, to let it know that processing steps have been completed for documents in your NiFi dataflow. For example, if you create a dataflow to  handle connector actions  such as  collect , you can route the FlowFiles produced by the connector through a ..."},"115":{y:0,u:"../Content/Reference/Processors/ContentFromHTML.htm",l:-1,t:"ContentFromHTML",i:0.00132253450808366,a:"Connectors, including the IDOL Web Connector, can send documents for ingestion that have associated HTML files. You could send the HTML files to the  KeyViewFilterDocument  processor, which discards the HTML markup and extracts the text contained in the file. However, HTML pages often contain ..."},"116":{y:0,u:"../Content/Reference/Processors/ContentIntoSections.htm",l:-1,t:"ContentIntoSections",i:0.000863694891857845,a:"Splits IDOL document content into sections. You might have documents with large amounts of content. For example, a 1000-page PDF file could be indexed as a single document. Dividing the content of long documents into sections can result in more relevant search results, because IDOL can return a ..."},"117":{y:0,u:"../Content/Reference/Processors/ConvertContentFilenameToFile.htm",l:-1,t:"ConvertContentFilenameToFile",i:0.000863694891857845,a:"Reads a file that is referenced by a document and replaces the document section containing the file path with a document section that contains the binary data. Storing the binary data within a document can be useful if you want to send the document to a remote NiFi instance that does not have access ..."},"118":{y:0,u:"../Content/Reference/Processors/ConvertContentFileToFilename.htm",l:-1,t:"ConvertContentFileToFilename",i:0.000863694891857845,a:"ConvertContentFileToFilename Replaces a document section that contains binary data with a document section that contains a file path (and writes the file to disk). Properties Relationships"},"119":{y:0,u:"../Content/Reference/Processors/ConvertCSVToDocuments.htm",l:-1,t:"ConvertCSVToDocuments",i:0.00113899866159334,a:"Many systems output data in comma-separated (CSV) format. The ConvertCSVToDocuments processor automatically detects any FlowFile that represents a text or CSV file and attempts to parse the data into IDOL documents.  Each row in the CSV file becomes a new IDOL document. Properties Relationships"},"120":{y:0,u:"../Content/Reference/Processors/ConvertIDXToDocuments.htm",l:-1,t:"ConvertIDXToDocuments",i:0.000955462815103009,a:"The ConvertIDXToDocuments processor automatically detects any FlowFile that represents an IDOL IDX file, and produces FlowFiles that represent individual IDOL documents. If you are using a File System Connector to retrieve IDX files, configure the connector with ParseIDX=FALSE. Properties ..."},"121":{y:0,u:"../Content/Reference/Processors/ConvertJSONToDocuments.htm",l:-1,t:"ConvertJSONToDocuments",i:0.00104723073834817,a:"Many systems can output data in JSON format. The ConvertJSONToDocuments processor detects any FlowFile that represents a JSON file and attempts to parse the JSON into IDOL documents. The processor produces a new FlowFile for each IDOL document. If an input FlowFile does not represent a file in JSON ..."},"122":{y:0,u:"../Content/Reference/Processors/ConvertXMLToDocuments.htm",l:-1,t:"ConvertXMLToDocuments",i:0.000955462815103009,a:"Many systems can output data in XML format. The ConvertXMLToDocuments processor automatically detects any FlowFile that represents an XML file and attempts to parse the XML into IDOL documents. The processor produces a new FlowFile for each IDOL document. To be parsed successfully, the input XML ..."},"123":{y:0,u:"../Content/Reference/Processors/DetectContentLanguage.htm",l:-1,t:"DetectContentLanguage",i:0.000863694891857845,a:"DetectContentLanguage A processor that detects the language of the document content, and populates a document metadata field with the result. Properties Relationships"},"124":{y:0,u:"../Content/Reference/Processors/Eduction.htm",l:-1,t:"Eduction",i:0.0025015288232436,a:"The Eduction processor uses IDOL Eduction to extract entities from text. An entity is a word, phrase, or block of information. For example, you can use Eduction to extract names, addresses, telephone numbers, and dates from document content or metadata. For more information about Eduction and how to ..."},"125":{y:0,u:"../Content/Reference/Processors/EmbeddedContent.htm",l:-1,t:"EmbeddedContent",i:0.00266327833517416,a:"The EmbeddedContent processor performs an enrichment task on input documents by using an embedded IDOL Content component index (which is available as a controller service). The processor  defines one or more enrichment tasks.  Each task is a constructed Query action to send to the embedded content ..."},"126":{y:0,u:"../Content/Reference/Processors/ExecuteDocumentLua.htm",l:-1,t:"ExecuteDocumentLua",i:0.00189696221933826,a:"Runs a Lua script on a FlowFile or document. Properties Relationships Advanced Configuration The ExecuteDocumentLua processor has an advanced configuration interface. This includes a code editor so that you can write and debug Lua scripts, and sample code snippets that demonstrate how to complete ..."},"127":{y:0,u:"../Content/Reference/Processors/FilenameFromMetadata.htm",l:-1,t:"FilenameFromMetadata",i:0.000863694891857845,a:"The FilenameFromMetdata processor extracts file names or URLs from document metadata fields. If the extracted value is a URL, the processor also downloads the file. The file name or downloaded file is associated with the FlowFile so that it can be processed by other processors. Properties ..."},"128":{y:0,u:"../Content/Reference/Processors/FilterBadContent.htm",l:-1,t:"FilterBadContent",i:0.000863694891857845,a:"A processor to discard FlowFiles with unacceptable document content. You can use this processor to discard FlowFiles where the document content is not suitable for indexing. The processor filters documents based on: The percentage of binary content. The percentage of symbolic content. Symbolic ..."},"129":{y:0,u:"../Content/Reference/Processors/HandleACIRequest.htm",l:-1,t:"HandleAciRequest",i:0.0014570933903024,a:"HandleAciRequest Handles incoming ACI requests. Micro Focus provides a template that includes all of the components necessary to handle ACI requests. For more information about how to handle actions in NiFi Ingest, see  Handle Connector Actions . Properties"},"130":{y:0,u:"../Content/Reference/Processors/HandleACIResponse.htm",l:-1,t:"HandleAciResponse",i:0.00113539639232531,a:"HandleAciResponse Handles responses to ACI requests. Micro Focus provides a template that includes all of the components necessary to handle ACI requests. For more information about how to handle actions in NiFi Ingest, see  Handle Connector Actions . Properties"},"131":{y:0,u:"../Content/Reference/Processors/HashDocument.htm",l:-1,t:"HashDocument",i:0.000863694891857845,a:"The HashDocument processor calculates one or more hashes and adds the values to the document. Hash values can be used to identify duplicate or related documents. For example, you could calculate a hash from the sender, recipients, and subject of each e-mail, in order to create groups of related ..."},"132":{y:0,u:"../Content/Reference/Processors/KeyViewExportToHtml.htm",l:-1,t:"KeyViewExportToHtml",i:0.0012307665848385,a:"KeyViewExportToHtml A processor that uses KeyView to produce an HTML representation of a file. For example, if you have an IDOL document FlowFile with an associated PDF file, KeyView reads the PDF file and produces an HTML representation that you can view in a web browser. Properties Relationships"},"133":{y:0,u:"../Content/Reference/Processors/KeyViewExportToXml.htm",l:-1,t:"KeyViewExportToXml",i:0.000863694891857845,a:"KeyViewExportToXml A processor that uses KeyView to produce an XML representation of a file. For example, if you have an IDOL document FlowFile with an associated PDF file, KeyView reads the PDF file and produces an XML representation of it. Properties Relationships"},"134":{y:0,u:"../Content/Reference/Processors/KeyViewExtractFiles.htm",l:-1,t:"KeyViewExtractFiles",i:0.00120017727709011,a:"A processor that uses KeyView to extract sub-files from container files such as zip archives. The processor reads any files embedded in the FlowFile or referenced by the FlowFile, and passes these to KeyView.  If the files are containers, KeyView extracts sub-files to the location defined by the ..."},"135":{y:0,u:"../Content/Reference/Processors/KeyViewFilterDocument.htm",l:-1,t:"KeyViewFilterDocument",i:0.00142577434049566,a:"A processor that uses KeyView to filter metadata and text from files. The processor reads any files embedded in the FlowFile or referenced by the FlowFile, and passes these to KeyView. The metadata that is extracted by KeyView is added to the FlowFile as XML metadata. The text that is extracted by ..."},"136":{y:0,u:"../Content/Reference/Processors/KeyViewRouteOnFileType.htm",l:-1,t:"KeyViewRouteOnFileType",i:0.00130081753491486,a:"A processor that uses KeyView to route FlowFiles based on the format of the associated file. The processor also adds fields to the document metadata, containing the KeyView document class, KeyView format code, and a MIME type string. The processor only writes information about the file format to the ..."},"137":{y:0,u:"../Content/Reference/Processors/MediaAnalysis.htm",l:-1,t:"MediaAnalysis",i:0.000863694891857845,a:"The Media Analysis processor uses IDOL Media Server to analyze image, audio, and video files. Media Server can perform tasks such as optical character recognition, face detection and recognition, speech-to-text, and speaker identification. For more information about Media Server, refer to the Media ..."},"138":{y:0,u:"../Content/Reference/Processors/NISTRDSFilter.htm",l:-1,t:"NISTRDSFilter",i:0.000863694891857845,a:"A processor that compares the checksums of files against NIST RDS hash sets, to filter out any files that originate from operating systems or common application software. The NIST RDS hash sets are several gigabytes in size. Ensure that you have sufficient free disk space before configuring the ..."},"139":{y:0,u:"../Content/Reference/Processors/PutAwsFirehose.htm",l:-1,t:"PutAwsFirehose",i:0.000863694891857845,a:"PutAwsFirehose Sends IDOL documents to an  Amazon Kinesis Data Firehose . The Amazon Kinesis Data Firehose is a cloud service that can optionally transform the data before delivering it to one or more destinations, such as an Amazon S3 bucket. Properties Relationships"},"140":{y:0,u:"../Content/Reference/Processors/PutDigitalSafe.htm",l:-1,t:"PutDigitalSafe",i:0.000863694891857845,a:"PutDigitalSafe Indexes documents into Digital Safe through the Digital Safe REST API. Properties Relationships"},"141":{y:0,u:"../Content/Reference/Processors/PutIDOL.htm",l:-1,t:"PutIDOL",i:0.00113899866159334,a:"PutIDOL Indexes documents into IDOL Server. Properties Relationships"},"142":{y:0,u:"../Content/Reference/Processors/PutMetastore.htm",l:-1,t:"PutMetastore",i:0.000863694891857845,a:"PutMetastore Indexes documents into a Micro Focus ControlPoint Metastore. Properties Relationships"},"143":{y:0,u:"../Content/Reference/Processors/PutOGS.htm",l:-1,t:"PutOGS",i:0.00346568218267063,a:"PutOGS Sends group information retrieved by a connector to an IDOL OmniGroupServer. Properties Relationships"},"144":{y:0,u:"../Content/Reference/Processors/QueryIDOL.htm",l:-1,t:"QueryIDOL",i:0.0015466203962811,a:"A processor that sends a query to an IDOL Content component and outputs the resulting documents as FlowFiles. You can specify a query in one of the following ways: Define a query using the Text, Field Text, Database Match, and other relevant properties in the processor configuration. With this ..."},"145":{y:0,u:"../Content/Reference/Processors/RegisterDocument.htm",l:-1,t:"RegisterDocument",i:0.00141430243132883,a:"RegisterDocument Registers a FlowFile with a document registry database. For more information about this processor, see  Index Documents in the Correct Sequence . Properties Relationships"},"146":{y:0,u:"../Content/Reference/Processors/RemoveDocumentPart.htm",l:-1,t:"RemoveDocumentPart",i:0.000863694891857845,a:"Removes parts of a document. The primary reason to use this processor is to remove contentfilename document parts, which allows NiFi Ingest to delete temporary files. Micro Focus recommends you do this at the end of your dataflow, after extraction, filtering, media analysis, and so on. Properties ..."},"147":{y:0,u:"../Content/Reference/Processors/RenderHTML.htm",l:-1,t:"RenderHTML",i:0.000863694891857845,a:"A processor that replaces an HTML file, in an IDOL document FlowFile, with an image of the rendered HTML. You can choose the output image format. Use this processor after a  KeyViewExportToHtml  processor to obtain an image or preview of any document (as long as the document format is supported by ..."},"148":{y:0,u:"../Content/Reference/Processors/RMSDecrypt.htm",l:-1,t:"RMSDecrypt",i:0.000863694891857845,a:"A processor to decrypt files that are encrypted with Microsoft Azure Rights Management (RMS) encryption. The processor decrypts any encrypted Office file or pfile, adding the original extension to the decrypted file. It cannot decrypt encrypted PDF files. If the processor receives a FlowFile ..."},"149":{y:0,u:"../Content/Reference/Processors/RMSEncrypt.htm",l:-1,t:"RMSEncrypt",i:0.000863694891857845,a:"RMSEncrypt A processor to encrypt files with Microsoft Azure Rights Management (RMS) encryption. The processor accepts any file and encrypts it. Office documents keep their original extension, and other file formats are encrypted as a pfile with a .pfile extension. Properties Relationships"},"150":{y:0,u:"../Content/Reference/Processors/StandardizeMetadata.htm",l:-1,t:"StandardizeMetadata",i:0.00575765428605142,a:"The StandardizeMetadata processor performs field standardization. Field standardization modifies documents so that they have a consistent structure and consistent field names. You can use field standardization so that documents which originated from different connectors use the same fields to store ..."},"151":{y:0,u:"../Content/Reference/Processors/TextToDocuments.htm",l:-1,t:"TextToDocuments",i:0.000863694891857845,a:"A processor that takes a FlowFile that represents a text file containing multiple documents and splits the text, generating FlowFiles that represent individual documents. Sometimes you might retrieve text files from a repository that you would prefer to ingest as multiple documents. To divide a ..."},"152":{y:0,u:"../Content/Reference/Processors/UnregisterDocument.htm",l:-1,t:"UnregisterDocument",i:0.00196490997079981,a:"UnregisterDocument Removes a FlowFile from a document registry database. For more information about this processor, see  Index Documents in the Correct Sequence . Properties Relationships"},});